#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x133c4d5f, "module_layout" },
	{ 0x7e8e5b62, "unregister_pernet_subsys" },
	{ 0xc1403fee, "init_net" },
	{ 0xf68e0450, "register_pernet_subsys" },
	{ 0x6895eb99, "xt_hook_ops_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x977d426c, "ipt_register_table" },
	{ 0x226c6cb7, "ipt_alloc_initial_table" },
	{ 0x95c8080f, "ip_route_me_harder" },
	{ 0xa2d33415, "ipt_do_table" },
	{ 0x2dba7bbf, "ipt_unregister_table" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=x_tables,ip_tables";


MODULE_INFO(srcversion, "6B602734AB4B0E54D5FF398");
